Bug 9933 - bits/ipc.h defines ipc_perm key member incorrectly
Summary: bits/ipc.h defines ipc_perm key member incorrectly
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 6.1
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-03 16:41 UTC by magill
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-22 14:52:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description magill 2000-03-03 16:41:09 UTC
With glibc-devel-2.1.2-11 installed, /usr/include/bits/ipc.h kefines the
key member of struct ipc_perm incorrectly:

struct ipc_perm
  {
    __key_t __key;			/* Key.  */
    unsigned short int uid;		/* Owner's user ID.  */
    unsigned short int gid;		/* Owner's group ID.  */
    unsigned short int cuid;		/* Creator's user ID.  */
    unsigned short int cgid;		/* Creator's group ID.  */
    unsigned short int mode;		/* Read/write permission.  */
    unsigned short int __seq;		/* Sequence number.  */
  };

key should simply be defined as 'key' not '__key'

Comment 1 Cristian Gafton 2000-05-22 14:52:59 UTC
assign to jakub

Comment 2 Jakub Jelinek 2000-09-04 14:13:52 UTC
No, it should not. X/Open (1987/01) does not define such members of
struct ipc_perm. Look at util-linux/sys-utils/ipcs.c to see how ipcs
does this.


Note You need to log in before you can comment on or make changes to this bug.